Bug 263856 - Links are very hard to activate in the messageviewer
Summary: Links are very hard to activate in the messageviewer
Status: VERIFIED FIXED
Alias: None
Product: KMail Mobile
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Windows CE Microsoft Windows CE
: HI major (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-21 12:23 UTC by Andre Heinecke
Modified: 2011-02-15 16:13 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andre Heinecke 2011-01-21 12:23:21 UTC
When having a Message with links shown (like an invitation) it is very hard to activate the links by clicking on them.

You have to be very exact or try multiple times.
Comment 1 Bernhard E. Reiter 2011-01-21 12:24:46 UTC
Is there with windows-ce/Kontact-Mobile/testing/2011-01-17-02-23/.
Makes it impossible for normal users to accept invitations.
Comment 2 Tobias Koenig 2011-01-24 19:59:06 UTC
Git commit f658ee449d3955c0dd5aec68a33e4392fd1de02f by Tobias Koenig.
Pushed by tokoe into branch 'master'.

Fixed the mouse-click handling in message viewer

The coordinate mapping code in the MessageViewItem::simulateMouseClick()
reimplementation was horribly wrong. Now we use the correct implementation
from the base class. Thanks to Volker and Andy for brain storming :)

BUG: 263809
BUG: 263856

M  +0    -11   mobile/mail/messageviewitem.cpp     
M  +0    -1    mobile/mail/messageviewitem.h     

http://commits.kde.org/ee6cc38b/f658ee449d3955c0dd5aec68a33e4392fd1de02f